<?php
require '../app/bootstrap.php';
$conectDB = connectDB();
$conectDB->exec("set names utf8mb4");
include '__admin_valida_login.php';
?>
<!DOCTYPE html>
<html lang="pt-BR">
<head>
    <title><?=$configSistema['sistema'];?> - Exibindo Detalhes do Professor</title>
	<?php
		include 'estrutura/__css.php';
	?>
</head>
<body>
    <div class="app ">
        <div class="layout  ">
		<?php
			include 'estrutura/topo.php';
			include '_menu.php';

			if(!isset($_GET['professor']))
			{
				echo redirect('professores');
			}
			else
			{
				$professor    = stringInputCleaner($_GET['professor']);

 				$dadosProfessor = findItem($conectDB, 'professor', ' * ', array("code"=>$professor) );
				if(empty($dadosProfessor->id))
				{
					echo redirect('professores');
				}  
			}
			$tipo = 'Professor: ';
			if($dadosProfessor->tipo == 3){
				$tipo = "Estagiário: ";
			}
			$sql = "
				select
					COUNT(mensagem.id) as totalMensagens,
					(SELECT COUNT(professor_visita_perfil.id) FROM professor_visita_perfil WHERE professor_visita_perfil.professor_id = {$dadosProfessor->id}) as totalVisitas
 				from
					mensagem
				WHERE
					mensagem.professor_id = {$dadosProfessor->id}
			";
			 
			$totalizadores  = query($conectDB, '', $sql);
			$totalMensagens = $totalizadores[0]->totalMensagens;
			$totalVisitas = $totalizadores[0]->totalVisitas; 
 
			$titulo = $tipo.$dadosProfessor->nome; 
		?>
       	 	<div class="page-container">
            	<div class="main-content">
                 
               		<div class="card  ">
                    	<div class="card-body"> 
                        <h4 class=" ">
                        		<img class="" style="width: 80px; border-radius: 100%" src="<?='../'.IMG_USER.$dadosProfessor->foto;?>" alt="">
                        		<?=$titulo;?>

                        </h4>
	                        <div class="m-t-25">
 								<div class="row"> 
									<div class="col-md-12 col-lg-12 m-b-20">
										<?php
											echo 'Cadastrado em: '.date("d/m/Y H:i", strtotime( $dadosProfessor->cadastro ) ).'<br>';

											if($dadosProfessor->ativo == '3')
											{
												echo 
												'
													<span class="badge badge-danger">Desativado</span>
												';
 											}
											elseif($dadosProfessor->ativo == '2')
											{
												echo
												'
													<span class="badge badge-warning">Solicitado desativação</span>
												';
											}
											else
											{
												echo
												'
													<span class="badge badge-info">Ativo</span>
												';
											}



										?>
									</div>
									<div class="col-md-4 col-lg-4">
										<div class="card">
											<div class="card-body">
												<div class="d-flex justify-content-between align-items-center">
													<div>
														<p class="m-b-0">Mensagens Recebidas</p>
														<h2 class="m-b-0">
															<span>
																<?=$totalMensagens;?>
															</span>
														</h2>
													</div> 
												</div>
											</div>
										</div>
									</div>
										<div class="col-md-4 col-lg-4">
											<div class="card">
												<div class="card-body">
													<div class="d-flex justify-content-between align-items-center">
														<div>
															<p class="m-b-0">Visitas ao Perfil</p>
															<h2 class="m-b-0">
															<span>
																<?=$totalVisitas;?>
															</span>
															</h2>
														</div> 
													</div>
												</div>
											</div>
										</div>
										 
										<div class="col-md-12 col-lg-12">  
											<b>Nome:</b> <?= $dadosProfessor->nome;?><br>
											<b>E-mail:</b> <?=$dadosProfessor->email;?><br>
											<b>Celular:</b> <?=$dadosProfessor->celular;?><br>
											<b>Disciplinas:</b>
											<?php
												$disciplinas = explode(",", $dadosProfessor->disciplina);
												foreach($disciplinas as $disciplina){
														if(!empty($disciplina)){
															$dadosDisciplina = findItem($conectDB, 'disciplina', ' id, nome ', array("id"=>$disciplina) );
															if(!empty($dadosDisciplina->id))
															{
																echo 
																'
 																	'.$dadosDisciplina->nome.', 
 																';
															}
													}
												}

											?>
											<br>
											<b>Horário:</b>
											<?php
												$horarios = explode(",", $dadosProfessor->horario);
												foreach($horarios as $horario){
														if(!empty($horario)){
															if($horario == 1){$horarioNome = 'Manhã';}
															if($horario == 2){$horarioNome = 'Tarde';}
															if($horario == 3){$horarioNome = 'Noite';}
															echo $horarioNome.', ';
													}
												}

											?>
											<br>
											<b>Tipo de Ensino:</b>
											<?php
												$tipos_ensino = explode(",", $dadosProfessor->tipo_ensino);
												foreach($tipos_ensino as $tipo_ensino){
													if(!empty($tipo_ensino)){
														$dadosTipoEnsino = findItem($conectDB, 'tipo_ensino', ' id, nome ', array("id"=>$tipo_ensino) );
														if(!empty($dadosTipoEnsino->id)){
															echo $dadosTipoEnsino->nome.', ';
														}
													}
												}

											?>
											<br>
											<b>Sobre: </b> </div> <?=$dadosProfessor->experiencias;?>
										</div>
									
									
								</div>
	 						</div>
						</div>
               	 	</div>
				</div>
				<?php include 'estrutura/copy.php';?>	
            </div>
         </div>
    </div>
	<?php include 'estrutura/rodape.php';?>
	<?php include 'estrutura/_modal_admin.php';?>
